<?php
namespace Claromentis\Menu\Infobar;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("typ" . "e" => base64_decode("dHlwZQ=" . "="), "i" . "d" => base64_decode("aW" . "Q="), "u" . "r" . "l" => base64_decode("d" . "X" . "J" . "s"), "_aad576a27d4270d" . "b0bcce79b5b765b5" . "4" => base64_decode("aWNvb" . "g=="), "_fd02c7e3d45300b40c" . "3d9698e7b27faf" => base64_decode("ZGlzYWJ" . "sZWQ="), "ti" . "tl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_354b3b07bdaa4e702886b2fdf9dd1" . "1ce" => base64_decode("bmV3X3dpbmRv" . "dw=="));
use Claromentis\Core\Icon\IconFormatter;
class MenuItemFormatter
{
    private IconFormatter $iconFormatter;
    public function __construct(IconFormatter $iconFormatter)
    {
        $this->iconFormatter = $iconFormatter;
    }
    
    
    
    
    
    
    
    public function toArray(MenuItemInterface $_c5ca63e2f3cceb505a5417b4abb64d55) : array
    {
        $_fd62bc4eaaf7d58dea9bada3e30443b9 = [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["t" . "y" . "p" . "e"] => $_c5ca63e2f3cceb505a5417b4abb64d55->getType()];
        $id = $_c5ca63e2f3cceb505a5417b4abb64d55->getId();
        if (isset($id)) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["i" . "d"]] = $id;
        }
        if ($_c5ca63e2f3cceb505a5417b4abb64d55 instanceof MenuItemLinkInterface) {
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_fd02c7e3d45" . "300b40c3d969" . "8e7b27faf"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getDisabled();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_354b3b07bdaa4e702886b2fdf9dd11c" . "e"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getNewWindow();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["tit" . "le"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getTitle();
            $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["ur" . "l"]] = $_c5ca63e2f3cceb505a5417b4abb64d55->getUrl();
            if (($_aad576a27d4270db0bcce79b5b765b54 = $_c5ca63e2f3cceb505a5417b4abb64d55->getIcon()) !== null) {
                $_fd62bc4eaaf7d58dea9bada3e30443b9[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_aad576a27d4270db0bcce79b5b7" . "65b54"]] = $this->iconFormatter->toArray($_aad576a27d4270db0bcce79b5b765b54);
            }
        }
        return $_fd62bc4eaaf7d58dea9bada3e30443b9;
    }
}